%define         svn   864391

Name:           kde4powersave
Summary:        KDE power management applet
Version:        0.0.1
Release:        %mkrel 0.%{svn}.6
Url:            http://websvn.kde.org/trunk/playground/utils/kde4powersave
License:        GPLv2+
Group:          Graphical desktop/KDE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.%{svn}.tar.bz2
Patch0:         kde4powersave-0.0.1-mandriva.patch
BuildRequires:  kdelibs4-devel
BuildRequires:  kdebase4-workspace-devel
BuildRequires:  automoc
BuildRequires:  libxscrnsaver-devel
Requires:       pm-utils
Requires:       kdebase4-runtime

%description
The package provides battery monitoring and suspend/standby triggers.
It is based on the powersave package and therefore supports APM and
ACPI. See powersave package for additional features such as CPU frequency
scaling(SpeedStep and PowerNow) and more

%files
%defattr(-,root,root)
%{_kde_libdir}/kde4/plasma_applet_powersave.so
%{_kde_appsdir}/desktoptheme/default/widgets/battery-oxygen.svg
%{_kde_appsdir}/desktoptheme/default/widgets/battery.svg
%{_kde_datadir}/kde4/services/plasma-powersave-default.desktop

#--------------------------------------------------------------------

%prep
%setup -q -n %name
%patch0 -p0 -b .mandriva

%build
%cmake_kde4
%make

%install
cd build
make DESTDIR=%buildroot install

%clean
%{__rm} -rf "%{buildroot}"


%changelog
* Sat Nov 15 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.1-0.864391.6mdv2009.1
+ Revision: 303438
- Fix BuildRequires
- Rebuild against new kdelibs4

* Sat Oct 25 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.1-0.864391.5mdv2009.1
+ Revision: 297144
- Rebuild against new kde4

* Wed Sep 24 2008 Helio Chissini de Castro <helio@mandriva.com> 0.0.1-0.864391.1mdv2009.0
+ Revision: 287930
- Lock as default for closelid

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Licence

* Fri Aug 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.1-0.837610.3mdv2009.0
+ Revision: 275104
- Rebuild agains latest plasma

* Mon Jul 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.1-0.837610.2mdv2009.0
+ Revision: 251786
- Rebuild against new kde4

* Fri Jul 25 2008 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.837610.1mdv2009.0
+ Revision: 248834
- New snapshot

* Mon Jul 07 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.1-0.827479.2mdv2009.0
+ Revision: 232341
- Rebuild because lost binaries

* Thu Jul 03 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.1-0.827479.1mdv2009.0
+ Revision: 230879
- New snapshot ( now kde4powersave is a plasmoid )
  Remove patch0 : not needed anymore

* Thu May 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.1-0.810928.2mdv2009.0
+ Revision: 209984
- Add Requires kdebase4-runtime

* Thu May 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.1-0.810928.1mdv2009.0
+ Revision: 209915
- Add missing patch
- Fixes buildrequires
- Fix desktop file
- import kde4powersave


